from pygame import Rect, Color
from widget import Widget
from utils import frame_rect

class ChargeView(Widget):
	#  player   Player
	#  kind     int
	#  color    Color
	
	border_width = 2
	border_color = Color("light grey")
	bg_color = Color("dark grey")
	
	def __init__(self, kind, color, width, height):
		Widget.__init__(self, Rect(0, 0, width, height))
		self.kind = kind
		self.color = Color(color)
	
	def draw(self, surface):
		r = surface.get_rect()
		b = self.border_width
		b2 = 2 * b
		frame_rect(surface, self.border_color, r, b)
		r2 = r.inflate(-b2, -b2)
		w = r2.width * self.player.charge[self.kind] / self.player.max_charge
		r2.width = w
		surface.fill(self.color, r2)
