from pygame import Rect
from widget import Widget
from resource import get_font

class InventoryView(Widget):
	#  player   Player
	
	desc_font = get_font(18)
	desc_color = (255, 255, 255)
	
	def __init__(self, width, height):
		Widget.__init__(self, Rect(0, 0, width, height))

	def draw(self, surface):
		inv = self.player.inventory
		x = None
		y = self.rect.height // 4
		for item in inv:
			r = Rect((0, 0), item.thumbnail_size())
			if x is None:
				x = y - r.width // 2
			r.midleft = x, y
			item.draw_thumbnail(surface, r)
			x = r.right + 5
		if inv:
			first = inv[0]
			desc = first.description
			if desc:
				if first.value:
					desc = "%s ($%s)" % (desc, first.value)
			image = self.desc_font.render(desc, True, self.desc_color)
			r = image.get_rect()
			r.bottomleft = (0, self.rect.height)
			surface.blit(image, r)
		cash = "Total $%s" % self.player.cash
		image = self.desc_font.render(cash, True, self.desc_color)
		r = image.get_rect()
		r.bottomright = self.rect.size
		surface.blit(image, r)

